std::recursive_mutex(3)

NAME
std::recursive_mutex

SYNOPSIS

#include <mutex>

Inherits __recursive_mutex_base.

  Public Types
typedef __native_type * native_handle_type

  Public Member Functions
recursive_mutex (const recursive_mutex &)=delete
void lock ()
native_handle_type native_handle () noexcept
recursive_mutex & operator= (const recursive_mutex &)=delete
bool try_lock () noexcept
void unlock ()

Detailed Description

The standard recursive mutex type.

A recursive mutex can be locked more than once by the same thread. Other threads cannot lock the mutex until the owning thread unlocks it as many times as it was locked.

Since
    C++11

Author

Generated automatically by Doxygen for libstdc++ from the source code.